# Функции создаются при помощи def Имя (Список параметров)

#В тройных кавычках содержится описание функции
def division (dividend, divisor):
	"""Делит делимое на делитель"""
	if divisor != 0:
		z = dividend/divisor
		#return возвращает результат функции. Без него результатом будет None
		#также есть pass, при использовании которого функция ничего не возвращает
		return z
	else:
		print('На 0 делить нельзя')

#Просмотр описания функции
print(division.__doc__)

print(division(18,6))

def gcd(a, b):
   "Нахождение НОД"
   while a != 0:
      a,b = b%a,a # параллельное определение. Не смотря на то, что b написано после a, переменной b всё равно присваивается старое значение a
      print(a,b)
   print(b)
   return b
gcd(2,3)


#вместо списка параметров можно написать *args, тогда кол-во параметров определится само
def test(*args):
	print(args)
	pass
test(23, "hi", 4221)